﻿Type=Class
Version=5.9
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
Private Sub Class_Globals
	Private fx As JFX
	Private mPane As Pane
	Private Txf As TextField
	Private LstV As ListView
	
	Private SelectedIndex As Int
End Sub

Public Sub Initialize
	mPane.Initialize("MPane")
	Txf.Initialize("Txf")
	LstV.Initialize("LstV")
	CreateNode
End Sub

Private Sub CreateNode
	mPane.AddNode(Txf,0,0,200,30)
	mPane.AddNode(LstV,0,30,200,100)
	mPane.SetSize(200,130)
End Sub

Public Sub GetNode As Pane
	Return mPane
End Sub

Public Sub GetList(Separator As String) As String
	Dim stB As StringBuilder
	stB.Initialize
	For i = 0 To LstV.Items.Size-1
		Dim item As String = LstV.Items.Get(i)
		stB.Append(item).Append(Separator)
	Next
	stB.Remove(stB.Length,stB.Length)
	Return stB.ToString
End Sub

Private Sub Txf_Action
	If Txf.Text = "" Or Txf.Text = " " Then Return
	LstV.Items.Add(Txf.Text)
	Txf.Text = ""
End Sub

Private Sub LstV_SelectedIndexChanged(index As Int)
	If index = -1 Then Return
	SelectedIndex = index
End Sub

Private Sub LstV_MouseClicked(ms As MouseEvent)
	If LstV.SelectedIndex = -1 Then Return
	If ms.ClickCount >= 2 Then
		LstV.Items.RemoveAt(SelectedIndex)
	End If
End Sub

